//priority: 0

ServerEvents.recipes(event => {
    event.remove({ output: 'cagedmobs:mob_cage'})
    event.remove({ output: 'cagedmobs:dna_sampler'})

    event.shapeless('9x voidblock:dust', [
        'exnihilosequentia:dust'
    ])
    
    event.campfireCooking('minecraft:brick', 'minecraft:clay_ball')

    event.shaped('cagedmobs:mob_cage', [
        ' C ',
        'C C',
        'III'
    ], {
        C: 'minecraft:chain',
        I: 'minecraft:iron_ingot'
    })

    event.shaped('cagedmobs:dna_sampler', [
        'I  ',
        ' WI',
        ' IN'
    ], {
        I: 'minecraft:iron_ingot',
        W: 'minecraft:white_stained_glass',
        N: 'minecraft:iron_nugget'
    })

    event.remove({ output: 'immersiveengineering:ingot_steel', type: 'immersiveengineering:blast_furnace'})
    event.remove({ output: 'immersiveengineering:storage_steel', type: 'immersiveengineering:blast_furnace'})

    event.custom({
        "type": "immersiveengineering:blast_furnace",
        "input": {
            "tag": "forge:ingots/iron"
        },
        "result": {
            "tag": "forge:ingots/steel"
        },
        "slag": {
            "tag": "forge:slag"
        },
        "time": 300
    })

    event.custom({
        "type": "immersiveengineering:blast_furnace",
        "input": {
            "tag": "forge:storage_blocks/iron"
        },
        "result": {
            "tag": "forge:storage_blocks/steel"
        },
        "slag": {
            "base_ingredient": {
                "tag": "forge:slag"
            },
            "count": 9
        },
        "time": 2400
    })

    event.remove({ output: 'minecraft:charcoal', type: 'immersiveengineering:coke_oven'})
    event.remove({ output: 'immersiveengineering:coal_coke', type: 'immersiveengineering:coke_oven'})
    event.remove({ output: 'immersiveengineering:storage_coal_coke', type: 'immersiveengineering:coke_oven'})

    event.custom({
        "type": "immersiveengineering:coke_oven",
        "creosote": 250,
        "input": {
            "tag": "minecraft:logs"
        },
        "result": {
            "item": "minecraft:charcoal"
        },
        "time": 225
    })

    event.custom({
        "type": "immersiveengineering:coke_oven",
        "creosote": 500,
        "input": {
            "item": "minecraft:coal"
        },
        "result": {
            "tag": "forge:coal_coke"
        },
        "time": 450
    })

    event.custom({
        "type": "immersiveengineering:coke_oven",
        "creosote": 5000,
        "input": {
            "item": "minecraft:coal_block"
        },
        "result": {
            "tag": "forge:storage_blocks/coal_coke"
        },
        "time": 4050
    })
})